<template lang="pug">
    v-card
        v-img.white--text.align-end(:src='album.image' height='200px')
        v-card-title {{ album.name }}
        v-card-subtitle {{ album.release_date }}
        v-card-subtitle {{ album.total_tracks }} Musique{{ album.total_tracks > 1 ? 's' : '' }}
        .ml-2
            v-chip.mr-1(v-for='tag in album.tags' :key='tag') {{ tag }}
        v-card-actions
            v-spacer
            template(v-if='searching')
              v-tooltip(left)
                template(v-slot:activator='{ on, attrs }')
                    v-btn(icon v-on='on' v-bind='attrs' @click='addAlbum(album)')
                        v-icon add
                | Ajouter à ma biblitohèque
            template(v-else)
                v-btn(icon @click='favorite(album)')
                    v-icon(:color="album.favorite ? 'yellow' : ''") {{ album.favorite ? 'star' : 'star_border' }}
                v-btn(icon @click='remove(album)')
                    v-icon delete
    
</template>

<script>
export default {
	name: "PreviewAlbum",
	props: {
		album: {
			type: Object,
			default: (_) => ({ tags: [] }),
		},
		searching: Boolean,
	},
	methods: {
        // Emit events corresponding to acctions so the parent component can implement actions accordingly
		addAlbum(album) {
			this.$emit("addAlbum", album);
		},
		favorite(album) {
			this.$emit("favorite", album);
		},
		remove(album) {
			this.$emit("remove", album);
		},
	},
};
</script>
